/*  
 * 
 * BananaSplit.h	-- How to resize an NXSplitView
 * 
 * 
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Written by Henry Krempel -- NeXT Developer Support
 *
 * Wed Apr 10 15:09:41 1991
 */
#import <objc/Object.h>
#import <appkit/appkit.h>

@interface BananaSplit:Object
{
    id  bottomView;
    id  doubleView;
    id  topView;
}

-appDidInit:sender;

- splitView:sender 
    getMinY:(NXCoord *)minY  
    maxY:(NXCoord *)maxY
    ofSubviewAt:(int)offset;         
- splitView:sender 
    resizeSubviews:(const NXSize *)oldSize;

- windowWillResize:sender toSize:(NXSize *)frameSize;
@end
